Bug 998098 - Review Request: non-ntk - a fork of the FLTK UI toolit
Review Request: non-ntk - a fork of the FLTK UI toolit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: František Dvořák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 04:47 EDT by Brendan Jones
Modified: 2013-11-04 22:00 EST (History)
2 users (show)

See Also:
Fixed In Version: non-ntk-1.3.0-0.5.20130730gitd006352.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-04 21:54:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
valtri: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2013-08-17 04:47:37 EDT
For various reasons the author of the non-* suite of has forked the FLTK toolkit (based on 1.3.1) adding improved graphics rendering via Cairo, a streamlined and enhanced widget set, and other features designed to improve the appearance and performance of the Non applications. 

This package is required by the non-* packages already in Feodra, zynaddsub fx (alternate UI), as well as a number of incoming packages not yet up for review (fabla, sorcer)

Package layout mirrors that of FLTK. rpmlint output is clean apart from various undefined-non-weak-symbol warnings which are common to fltk and are due to fluid linking.

SPEC: http://bsjones.fedorapeople.org/reviews/non-ntk.spec
SRPM: http://bsjones.fedorapeople.org/reviews/non-ntk-1.3.0-0.1.20130730gitd006352.fc19.src.rpm
Comment 1 Kevin Kofler 2013-08-17 19:47:06 EDT
Nitpick of the day (obviously not a full review): Your %description starts with "Non-%{name}", which expands to "Non-non-ntk", which is certainly not what you want.
Comment 3 František Dvořák 2013-08-28 08:11:31 EDT
The issues I found during examining the package and the sources:

- license: isn't license rather LGPLv2+? fltk package has license as "LGPLv2+ with exceptions" with a comment in spec file: "see COPYING (or http://www.fltk.org/COPYING.php ) for exceptions details"

- just for the curiosity - where did you get the version 1.3.0?

- static subpackage: is it needed? Packaging guidelines doesn't forbid static libraries, but it should be included only if it is really needed (https://fedoraproject.org/wiki/Packaging:Guidelines?rd=PackagingGuidelines#Packaging_Static_Libraries)

- missing LDFLAGS, it should be set to "%{?__global_ldflags}", it looks like it is possible to deliver it to waf through the environment:
  LDFLAGS="%{?__global_ldflags}" ./waf -v configure --prefix=%{_prefix} --libdir=%{_libdir} --enable-gl

- CFLAGS could be better to add to the end (the last -Ox will take precedence), but it is probably more difficult to do it (using awk, or just patching wcript to add "%{optflags}".split(' ') and then using sed to substitute the macro?)

- missing dependency: pkgconfig(glu)

- the waf is a binary blob (the bzip archive encoded as base64), which contains binary .pyc files (it should be removed according to https://fedoraproject.org/wiki/Packaging:Guidelines?rd=PackagingGuidelines#No_inclusion_of_pre-built_binaries_or_libraries)

But I noticed there already exists a package named waf. Could be possible to remove the 'waf' file from the sources and use the waf package instead?
Comment 4 Brendan Jones 2013-08-29 00:27:19 EDT
Thanks for taking this on.

(In reply to František Dvořák from comment #3)
> The issues I found during examining the package and the sources:
> 
> - license: isn't license rather LGPLv2+? fltk package has license as
> "LGPLv2+ with exceptions" with a comment in spec file: "see COPYING (or
> http://www.fltk.org/COPYING.php ) for exceptions details"
> 

OK, ta

> - just for the curiosity - where did you get the version 1.3.0?

That's the version of FLTK that was forked. It is set in the wscript file. Upstream do not release source tar balls.

> 
> - static subpackage: is it needed? Packaging guidelines doesn't forbid
> static libraries, but it should be included only if it is really needed
> (https://fedoraproject.org/wiki/Packaging:
> Guidelines?rd=PackagingGuidelines#Packaging_Static_Libraries)

I wanted this to be a drop in replacement for FLTK, but will remove for now until they are required (my immediate requirements don't need them).
> 
> - missing LDFLAGS, it should be set to "%{?__global_ldflags}", it looks like
> it is possible to deliver it to waf through the environment:
>   LDFLAGS="%{?__global_ldflags}" ./waf -v configure --prefix=%{_prefix}
> --libdir=%{_libdir} --enable-gl

Done

> 
> - CFLAGS could be better to add to the end (the last -Ox will take
> precedence), but it is probably more difficult to do it (using awk, or just
> patching wcript to add "%{optflags}".split(' ') and then using sed to
> substitute the macro?)

OK, redone with sed

> 
> - missing dependency: pkgconfig(glu)

Added

> 
> - the waf is a binary blob (the bzip archive encoded as base64), which
> contains binary .pyc files (it should be removed according to
> https://fedoraproject.org/wiki/Packaging:
> Guidelines?rd=PackagingGuidelines#No_inclusion_of_pre-
> built_binaries_or_libraries)
> 
> But I noticed there already exists a package named waf. Could be possible to
> remove the 'waf' file from the sources and use the waf package instead?

Removed in non-ntk-snapshot.sh. waf upstream recommends bundling with the source. There are many precedents in audio packages where this is the case. Using system waf will result in a version mismatch and fail.


SPEC: http://bsjones.fedorapeople.org/reviews/non-ntk.spec
SRPM: http://bsjones.fedorapeople.org/reviews/non-ntk-1.3.0-0.3.20130730gitd006352.fc19.src.rpm
Comment 5 František Dvořák 2013-09-01 10:25:10 EDT
It looks like the license will be more complicated. The NTK fork has some code licensed under GPL (the themes). I think the license field should be "LGPLv2+ with exceptions and GPLv2+" (= FLTK's license plus GPL). Practically it is like the GPLv2+, but we should probably present all the licenses. :-)

Some more issues:
- I guess the "ldconfig -n" is not needed in the install section (it is already covered by the %post and %postun actions)
- BuildRequires:
  - it looks like these are not needed: fltk-fluid, fltk-devel, xorg-x11-utils, libXpm-devel
  - after removing the fltk-devel it would be needed: pkgconfig(xft)
- no icons are installed, updating icon cache and touching %{_datadir}/icons/hicolor is probably not needed
Comment 7 František Dvořák 2013-09-03 05:00:46 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- the license again :-)

  I didn't mention the "LGPLv2 with exceptions" (the whole text) is valid and existing license short name in Fedora:

  https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses

  The fltk part is already solved, so we can use it. :-) For the non-ntk I would recommend the "insane" license field: "LGPLv2+ with exceptions and GPLv2+".

- update-desktop-database is invoked when required

  I'm sorry I didn't catch it previously. There is missing update-desktop-database in "%postun fluid" section, as described here: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database . The %postrans section looks OK (although the wiki mentions %post, I guess that's only because of compatibility with rpm < 4.4?). 


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[-]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.

See issues.

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: non-ntk-1.3.0-0.4.20130730gitd006352.fc21.x86_64.rpm
          non-ntk-devel-1.3.0-0.4.20130730gitd006352.fc21.x86_64.rpm
          non-ntk-fluid-1.3.0-0.4.20130730gitd006352.fc21.x86_64.rpm
non-ntk.x86_64: W: spelling-error %description -l en_US cairo -> Cairo, cairn
non-ntk-devel.x86_64: W: no-documentation
non-ntk-fluid.x86_64: E: devel-dependency non-ntk-devel
non-ntk-fluid.x86_64: W: no-documentation
non-ntk-fluid.x86_64: W: no-manual-page-for-binary ntk-chtheme
non-ntk-fluid.x86_64: W: no-manual-page-for-binary ntk-fluid
3 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint non-ntk-fluid non-ntk-devel non-ntk
non-ntk-fluid.x86_64: E: devel-dependency non-ntk-devel
non-ntk-fluid.x86_64: W: no-documentation
non-ntk-fluid.x86_64: W: no-manual-page-for-binary ntk-chtheme
non-ntk-fluid.x86_64: W: no-manual-page-for-binary ntk-fluid
non-ntk-devel.x86_64: W: no-documentation
non-ntk.x86_64: W: spelling-error %description -l en_US cairo -> Cairo, cairn
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 typeinfo for Fl_RGB_Image
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_RGB_Image::copy(int, int)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_RGB_Image::color_average(unsigned int, float)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_RGB_Image::desaturate()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_RGB_Image::label(Fl_Widget*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_RGB_Image::label(Fl_Menu_Item*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_RGB_Image::draw(int, int, int, int, int, int)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_RGB_Image::uncache()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 typeinfo for Fl_Pixmap
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Pixmap::copy(int, int)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Pixmap::color_average(unsigned int, float)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Pixmap::desaturate()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Pixmap::label(Fl_Widget*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Pixmap::label(Fl_Menu_Item*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Pixmap::draw(int, int, int, int, int, int)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Pixmap::uncache()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl::warning
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 vtable for Fl_Box
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl::error
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 vtable for Fl_Pixmap
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 vtable for Fl_Double_Window
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 fl_numericsort
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 fl_filename_ext(char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Shared_Image::get(char const*, int, int)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Shared_Image::add()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 fl_strlcpy
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Shared_Image::Fl_Shared_Image(char const*, Fl_Image*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Help_View::load(char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Window::size_range_()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Help_View::find(char const*, int)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Widget::activate()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Pixmap::~Fl_Pixmap()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_RGB_Image::~Fl_RGB_Image()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Help_View::Fl_Help_View(int, int, int, int, char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Image::~Fl_Image()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Group::current()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Group::Fl_Group(int, int, int, int, char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Help_View::topline(int)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Shared_Image::release()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 fl_fopen
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Input::Fl_Input(int, int, int, int, char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 fl_filename_isdir(char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 fl_color_average(unsigned int, unsigned int, float)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Widget::Fl_Widget(int, int, int, int, char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Button::Fl_Button(int, int, int, int, char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Help_View::value(char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Widget::tooltip(char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Pixmap::set_data(char const* const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Window::show(int, char**)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Window::label(char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Pixmap::measure()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Window::Fl_Window(int, int, char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_File_Icon::Fl_File_Icon(char const*, int, int, short*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Group::end()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Help_View::format()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Help_View::topline(char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_File_Icon::add(short)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Shared_Image::add_handler(Fl_Image* (*)(char const*, unsigned char*, int))
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 fl_filename_list(char const*, dirent***, int (*)(dirent**, dirent**))
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_images.so.1.3 Fl_Widget::deactivate()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 typeinfo for Fl_Plugin
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 typeinfo for Fl_Window
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_xfont
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_visual
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Display_Device::_display
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::e_x
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_display
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_gc
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::error
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Surface_Device::_surface
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Graphics_Driver::fl_clip_state_number
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_screen
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_graphics_driver
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::e_keysym
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::e_dy
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::e_y
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_fonts
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::e_text
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Window::current_
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_colormap
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::fatal
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Graphics_Driver::clip_region(_cairo_region*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_utf8toUtf16
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Window::current()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 XRectangleRegion(int, int, int, int)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_open_display()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Window::resize(int, int, int, int)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_getenv
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_X::make_xid(Fl_Window*, XVisualInfo*, unsigned long)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Widget::damage(unsigned char)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_measure(char const*, int&, int&, int)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_XFont_On_Demand::value()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_width(char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::check()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Font_Descriptor::~Fl_Font_Descriptor()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::arg(int, char**, int&)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Plugin::Fl_Plugin(char const*, char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Window::hide()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Window::Fl_Window(int, int, int, int, char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::run()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Plugin::~Fl_Plugin()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Group::add(Fl_Widget&)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::remove_idle(void (*)(void*), void*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::h()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::add_idle(void (*)(void*), void*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Window::handle(int)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Menu_Item::popup(int, int, char const*, Fl_Menu_Item const*, Fl_Menu_ const*) const
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::focus(Fl_Widget*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Window::show(int, char**)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::w()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl::get_color(unsigned int, unsigned char&, unsigned char&, unsigned char&)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Widget::redraw()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Window::Fl_Window(int, int, char const*)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Group::end()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 fl_draw(char const*, int, int, int, int, unsigned int, void (*)(char const*, int, int, int), Fl_Image*, int)
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Window::~Fl_Window()
non-ntk.x86_64: W: undefined-non-weak-symbol /usr/lib64/libntk_gl.so.1.3 Fl_Window::show()
3 packages and 0 specfiles checked; 1 errors, 122 warnings.
# echo 'rpmlint-done:'



Requires
--------
non-ntk-fluid (rpmlib, GLIBC filtered):
    /bin/sh
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libntk.so.1()(64bit)
    libntk_images.so.1()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    non-ntk(x86-64)
    non-ntk-devel
    rtld(GNU_HASH)

non-ntk-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libntk.so.1()(64bit)
    libntk_gl.so.1()(64bit)
    libntk_images.so.1()(64bit)
    non-ntk(x86-64)
    pkgconfig(cairo)
    pkgconfig(gl)
    pkgconfig(x11)
    pkgconfig(xft)

non-ntk (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libGL.so.1()(64bit)
    libX11.so.6()(64bit)
    libXft.so.2()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libdl.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
non-ntk-fluid:
    mimehandler(application/x-fluid)
    non-ntk-fluid
    non-ntk-fluid(x86-64)

non-ntk-devel:
    non-ntk-devel
    non-ntk-devel(x86-64)
    pkgconfig(ntk)
    pkgconfig(ntk_gl)
    pkgconfig(ntk_images)

non-ntk:
    libntk.so.1()(64bit)
    libntk_gl.so.1()(64bit)
    libntk_images.so.1()(64bit)
    non-ntk
    non-ntk(x86-64)



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 998098 -m fedora-rawhide-x86_64


==============

The latest issues can be fixed post-review. Approving.
Comment 8 Brendan Jones 2013-09-03 09:48:30 EDT
Thanksfor the review! Will update on import.

New Package SCM Request
=======================
Package Name: non-ntk
Short Description: a fork of the FLTK UI toolkit
Owners: bsjones
Branches: f18 f19 f20
InitialCC:
Comment 9 Gwyn Ciesla 2013-09-03 09:53:05 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-10-26 14:37:41 EDT
non-ntk-1.3.0-0.5.20130730gitd006352.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/non-ntk-1.3.0-0.5.20130730gitd006352.fc18
Comment 11 Fedora Update System 2013-10-26 14:37:53 EDT
non-ntk-1.3.0-0.5.20130730gitd006352.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/non-ntk-1.3.0-0.5.20130730gitd006352.fc19
Comment 12 Fedora Update System 2013-10-26 23:58:18 EDT
non-ntk-1.3.0-0.5.20130730gitd006352.fc19 has been pushed to the Fedora 19 testing repository.
Comment 13 Fedora Update System 2013-11-04 21:54:29 EST
non-ntk-1.3.0-0.5.20130730gitd006352.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-11-04 22:00:19 EST
non-ntk-1.3.0-0.5.20130730gitd006352.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.